GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Friends
grpc::ServerCompletionQueue Class Reference

`#include <completion_queue.h>`

## Friends
class | ServerBuilder

## Additional Inherited Members
Public Types inherited from grpc::CompletionQueue
enum | NextStatus { SHUTDOWN, GOT_EVENT, TIMEOUT }
Public Member Functions inherited from grpc::CompletionQueue
| CompletionQueue ()
| CompletionQueue (grpc_completion_queue *take)
| ~CompletionQueue () GRPC_OVERRIDE
template<typename T >
NextStatus | AsyncNext (void **tag, bool *ok, const T &deadline)
bool | Next (void **tag, bool *ok)
void | Shutdown ()
grpc_completion_queue * | cq ()
Public Member Functions inherited from grpc::GrpcLibrary
| GrpcLibrary ()
virtual | ~GrpcLibrary ()

## Friends And Related Function Documentation

friend class ServerBuilder
| friend

The documentation for this class was generated from the following file:

- include/grpc++/completion_queue.h